Bug 501133 - gparted cannot detect any drives
gparted cannot detect any drives
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 17:01 EDT by Pierre Ossman
Modified: 2009-10-20 16:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-20 16:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2009-05-16 17:01:28 EDT
When gparted is started using a normal user and setuid:ing to root (via consolehelper), it claims it cannot find any devices. It does however work fine if I use su for the setuid process, so there is something in the consolehelper system that confuses gparted.
Comment 1 Bug Zapper 2009-06-09 11:57:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Deji Akingunola 2009-10-20 16:30:21 EDT
I've somehow missed this for a long time, sorry. You shouldn't need to other 'setuid:ing to root' to run gparted. It is already (properly) configured to use consolehelper, just call 'gparted' (or start if from the desktop menu) to run the app.

Note You need to log in before you can comment on or make changes to this bug.